Description

Current "master" of tt_news (7e77a47bab70c6247a215bfc6eabd97edb60f64a) does not pass the "Extension Check" in the Install
Tool. Although the extension seems to be compatible with 6.2.

The error can be seen in the browser's Network Inspector, when you take a look at the output of the Ajax call that does the check:
( ! ) Fatal error: Class 'tx_ttnews_compatibility' not found in .../tt_news/ext_localconf.php on line 46

Once you fix that by adding a require_once in the ext_localconf, you get:
( ! ) Fatal error: Class 't3lib_treeview' not found in .../tt_news/lib/class.tx_ttnews_categorytree.php on line 43

So not even the core files (at least the old aliases) seems to be available.

Can anyone confirm that, please?

Related issues:
related to Core - Bug # 53853: Fatal error: Interface 't3lib_tceformsInlineHo... Resolved 2013-11-22
related to Core - Bug # 53855: Fatal error: Class 'Tx_Extbase_Utility_Extensi... Closed 2013-11-22
related to Core - Bug # 55029: Class Loader fails if entry in class cache is ... Closed 2014-01-15

History
#1 - 2013-11-27 14:24 - Markus Klein

Maybe this is related to #53855?

Although this should be fixed now as Frans said 3 hours ago.

#2 - 2014-01-22 09:53 - Franz Holzinger

The autoloader problem is still there in the EM of today's TYPO3 6.2 Git.

If I clear all caches and install fh_debug, then the EM ends up in this error message:

Fatal error: Class 'JambageCom\FhDebug\Utility\DebugFunctions' not found in
/home/agency/public_html/typo3conf/ext/fh_debug/ext_localconf.php on line 57

The file ext_autoload.php is ignored by the EM.
#3 - 2014-03-03 14:09 - Ernesto Baschny

This is still buggy on my setup. The first ajax seems to clear the cache using the install too Service for it (which removes the typo3temp/Cache folder
etc - Which BTW also hits on a "Fatal error InvalidArgumentException: "" is not a valid cache entry identifier" during the
reinitializeClassLoaderAndCachesAndPackageManagement() process, which is probably yet another bug).

The checking some times work, but then if I click again fails with always a different set of extensions. Seems very random, so it looks like some kind of
race condition between the ajax requests. This must be fixed for 6.2 release somehow!

Maybe it has to do something with #55029 also?

#4 - 2015-03-24 11:51 - Markus Klein
- Target version deleted (6.2.0)

Ernesto, is this still an issue?

#5 - 2015-04-14 22:37 - Nicole Cordes
- Category changed from Install Tool to Extension Manager
- Status changed from Accepted to Needs Feedback
- Assigned To set to Nicole Cordes

#6 - 2015-07-16 10:44 - Benjamin Mack
- Status changed from Needs Feedback to Resolved

The package management in this area has been streamlined so that the error is not showing up anymore. If you still have problems, feel free to
contact me.
